Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_ptloader.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_ptloader.h"`
`#include "loaderFileTypePandatool.h"`
`#include "config_flt.h"`
`#include "fltToEggConverter.h"`
`#include "config_lwo.h"`
`#include "lwoToEggConverter.h"`
`#include "dxfToEggConverter.h"`
`#include "vrmlToEggConverter.h"`
`#include "objToEggConverter.h"`
`#include "eggToObjConverter.h"`
`#include "config_xfile.h"`
`#include "xFileToEggConverter.h"`
`#include "dconfig.h"`
`#include "loaderFileTypeRegistry.h"`
`#include "eggData.h"`

Go to the source code of this file.

## Functions
| ConfigureDef (config_ptloader)
| ConfigureFn (config_ptloader)
void | init_libptloader ()
| Initializes the library.
| NotifyCategoryDef (ptloader, "")

## Variables
ConfigVariableBool | ptloader_load_node ("ptloader-load-node", true, PRC_DESC("Specify true to allow libptloader to invoke the more efficient " "but possibly-experimental code to load model files directly into " "PandaNode when possible. Specify false to force the loading to " "always go through the egg library, which is more likely to be " "reliable."))
ConfigVariableEnum< DistanceUnit > | ptloader_units ("ptloader-units", DU_invalid, PRC_DESC("Specifies the preferred units into which models will be converted " "when using libptloader to automatically convert files to Panda " "at load time, via e.g. \"pview myMayaFile.mb\"."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2001-04-26

Definition in file config_ptloader.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_ptloader |  | ) |

Definition at line 46 of file config_ptloader.cxx.

## ◆ init_libptloader()

void init_libptloader | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 71 of file config_ptloader.cxx.

References LoaderFileTypeRegistry::get_global_ptr(), init_libflt(), init_liblwo(), init_libxfile(), LoaderFileTypeRegistry::register_deferred_type(), and LoaderFileTypeRegistry::register_type().